#ifndef __selling_h
#define __selling_h

#include <string>

class Mobile; // forward declaration

class Selling {
  private:
     const Mobile* mobile;
     std::string   date;
     int           itemCount;
     double        itemPrice;
  public:
     Selling (const Mobile* mobile, const std::string& date, int itemCount, double itemPrice);
     const Mobile*  getMobile  () const {return mobile;}
     std::string    getDate      () const {return date;}
     int            getItemCount () const {return itemCount;}
     double         getItemPrice () const {return itemPrice;}
     double         getIncome    () const; // pajamos
     double         getExpense   () const; // iskaidos
     double         getProfit    () const; // pelnas
     void           print        () const; 
};
#endif 
